=== debian/control ===
Source: ros-humble-compressed-image-transport
Section: misc
Priority: optional
Maintainer: David Gossow <dgossow@willowgarage.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-cv-bridge, ros-humble-image-transport, ros-humble-ros-workspace
Homepage: http://www.ros.org/wiki/image_transport_plugins
Standards-Version: 3.9.2

Package: ros-humble-compressed-image-transport
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-cv-bridge, ros-humble-image-transport, ros-humble-ros-workspace
Description: Compressed_image_transport provides a plugin to image_transport for transparently sending images encoded as JPEG or PNG.
