## ros-humble-compressed-image-transport 2.5.1

=== debian/changelog ===
ros-humble-compressed-image-transport (2.5.1-1bookworm) bookworm; urgency=high

  * Update maintainer (#112 <https://github.com/ros-perception/image_transport_plugins/issues/112>)
  * Contributors: Kenji Brameld

 -- Kenji Brameld <kenjibrameld@gmail.com>  Fri, 12 Apr 2024 16:00:00 -0000

ros-humble-compressed-image-transport (2.5.0-1bookworm) bookworm; urgency=high



 -- Kenji Brameld <kenjibrameld@gmail.com>  Sun, 17 Apr 2022 16:00:00 -0000

ros-humble-compressed-image-transport (2.3.2-1bookworm) bookworm; urgency=high

  * Add tiff compression support. (#75 <https://github.com/ros-perception/image_transport_plugins/issues/75>)
  * Fix copyright year 20012 -> 2012 (#79 <https://github.com/ros-perception/image_transport_plugins/issues/79>)
  * JPEG only supports 8 bits images (#73 <https://github.com/ros-perception/image_transport_plugins/issues/73>)
  * Contributors: Ivan Santiago Paunovic, Michael Carroll

 -- Kenji Brameld <kenjibrameld@gmail.com>  Thu, 17 Feb 2022 16:00:00 -0000

ros-humble-compressed-image-transport (2.3.1-1bookworm) bookworm; urgency=high

  * [ros2] Fix RCLCPP_* logs, a string literal must be the first argument (#72 <https://github.com/ros-perception/image_transport_plugins/issues/72>)
  * Contributors: Ivan Santiago Paunovic, Łukasz Mitka

 -- Kenji Brameld <kenjibrameld@gmail.com>  Mon, 12 Jul 2021 16:00:00 -0000

ros-humble-compressed-image-transport (2.3.0-1bookworm) bookworm; urgency=high

  * Use non-deprecated image_transport headers (#59 <https://github.com/ros-perception/image_transport_plugins/issues/59>)
  * Add parameter declarations (#52 <https://github.com/ros-perception/image_transport_plugins/issues/52>)
  * Contributors: Michael Carroll, Łukasz Mitka

 -- Kenji Brameld <kenjibrameld@gmail.com>  Wed, 27 May 2020 16:00:00 -0000

ros-humble-compressed-image-transport (2.2.1-1bookworm) bookworm; urgency=high



 -- Kenji Brameld <kenjibrameld@gmail.com>  Tue, 22 Oct 2019 16:00:00 -0000

ros-humble-compressed-image-transport (2.2.0-1bookworm) bookworm; urgency=high



 -- Kenji Brameld <kenjibrameld@gmail.com>  Thu, 26 Sep 2019 16:00:00 -0000

ros-humble-compressed-image-transport (2.1.0-1bookworm) bookworm; urgency=high



 -- Kenji Brameld <kenjibrameld@gmail.com>  Thu, 22 Aug 2019 16:00:00 -0000

ros-humble-compressed-image-transport (2.0.0-1bookworm) bookworm; urgency=high

  * Pointer api updates (#31 <https://github.com/ros-perception/image_transport_plugins/issues/31>)
  * Update compressed_image_transport to ros2 (#26 <https://github.com/ros-perception/image_transport_plugins/issues/26>)
  * Contributors: Michael Carroll, Jose Luis Rivero

 -- Kenji Brameld <kenjibrameld@gmail.com>  Wed, 12 Dec 2018 16:00:00 -0000

ros-humble-compressed-image-transport (1.9.5-1bookworm) bookworm; urgency=high



 -- Kenji Brameld <kenjibrameld@gmail.com>  Sun, 02 Oct 2016 16:00:00 -0000

ros-humble-compressed-image-transport (1.9.4-1bookworm) bookworm; urgency=high

  * address gcc6 build error and tune
    With gcc6, compiling fails with stdlib.h: No such file or directory,
    as including '-isystem /usr/include' breaks with gcc6, cf.,
    https://gcc.gnu.org/bugzilla/show_bug.cgi?id=70129.
    This commit addresses this issue for this package in the same way
    it was addressed in various other ROS packages. A list of related
    commits and pull requests is at:
    https://github.com/ros/rosdistro/issues/12783
    Signed-off-by: Lukas Bulwahn <mailto:lukas.bulwahn@oss.bmw-carit.de>
  * Contributors: Lukas Bulwahn

 -- Kenji Brameld <kenjibrameld@gmail.com>  Sat, 01 Oct 2016 16:00:00 -0000

ros-humble-compressed-image-transport (1.9.3-1bookworm) bookworm; urgency=high

  * remove useless tf dependencies
  * Using cfg-defined constants
  * Changed flag name, and corrected typo in flag use.
  * using IMREAD flags.
  * Updated for indigo-devel
  * Contributors: Cedric Pradalier, Vincent Rabaud

 -- Kenji Brameld <kenjibrameld@gmail.com>  Sat, 16 Jan 2016 16:00:00 -0000

ros-humble-compressed-image-transport (1.9.2-1bookworm) bookworm; urgency=high

  * get code to compile with OpenCV3
  * avoid yet another image copy
  * avoid copying data if it can be shared
  * Contributors: Vincent Rabaud

 -- Kenji Brameld <kenjibrameld@gmail.com>  Fri, 24 Apr 2015 16:00:00 -0000

ros-humble-compressed-image-transport (1.9.1-1bookworm) bookworm; urgency=high



 -- Kenji Brameld <kenjibrameld@gmail.com>  Thu, 17 Jul 2014 16:00:00 -0000

ros-humble-compressed-image-transport (1.9.0-1bookworm) bookworm; urgency=high



 -- Kenji Brameld <kenjibrameld@gmail.com>  Thu, 15 May 2014 16:00:00 -0000

ros-humble-compressed-image-transport (1.8.21-1bookworm) bookworm; urgency=high

  * maintainer: david gossow
  * Contributors: David Gossow

 -- Kenji Brameld <kenjibrameld@gmail.com>  Wed, 26 Jun 2013 16:00:00 -0000

ros-humble-compressed-image-transport (1.8.20-1bookworm) bookworm; urgency=high

  * 1.8.19 -> 1.8.20
  * Contributors: Julius Kammerl

 -- Kenji Brameld <kenjibrameld@gmail.com>  Sun, 17 Mar 2013 16:00:00 -0000

ros-humble-compressed-image-transport (1.8.19-1bookworm) bookworm; urgency=high

  * 1.8.18 -> 1.8.19
  * Contributors: Julius Kammerl

 -- Kenji Brameld <kenjibrameld@gmail.com>  Sat, 23 Feb 2013 16:00:00 -0000

ros-humble-compressed-image-transport (1.8.18-1bookworm) bookworm; urgency=high

  * 1.8.17 -> 1.8.18
  * fixing input format checks (enabling rgba, bgra) + minor fixes
  * Contributors: Julius Kammerl

 -- Kenji Brameld <kenjibrameld@gmail.com>  Thu, 07 Feb 2013 09:59:00 -0000

ros-humble-compressed-image-transport (1.8.17-1bookworm) bookworm; urgency=high

  * 1.8.16 -> 1.8.17
  * Contributors: Julius Kammerl

 -- Kenji Brameld <kenjibrameld@gmail.com>  Thu, 17 Jan 2013 16:00:00 -0000

ros-humble-compressed-image-transport (1.8.16-1bookworm) bookworm; urgency=high

  * 1.8.15 -> 1.8.16
  * use the pluginlib script to remove some runtime warnings
  * Contributors: Julius Kammerl, Vincent Rabaud


