## ros-humble-compressed-image-transport 2.5.2

=== debian/changelog ===
ros-humble-compressed-image-transport (2.5.2-1bookworm) bookworm; urgency=high



 -- Kenji Brameld <kenjibrameld@gmail.com>  Sun, 21 Jul 2024 16:00:00 -0000
