=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: ros-humble-compressed-image-transport
 Section: misc
 Priority: optional
-Maintainer: David Gossow <dgossow@willowgarage.com>
+Maintainer: Kenji Brameld <kenjibrameld@gmail.com>
 Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-cv-bridge, ros-humble-image-transport, ros-humble-ros-workspace
 Homepage: http://www.ros.org/wiki/image_transport_plugins
 Standards-Version: 3.9.2
